<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__sysanalog__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_sysanalog_config_t</compoundname>
    <includes local="no">cy_sysanalog.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__sysanalog__config__t_1a48f49165b47ee954a4ddf6c7ae3c457a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga242311d3120c1005ba7d5be64516597d">cy_en_sysanalog_startup_t</ref></type>
        <definition>cy_en_sysanalog_startup_t cy_stc_sysanalog_config_t::startup</definition>
        <argsstring />
        <name>startup</name>
        <briefdescription>
<para>AREF normal or fast start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="380" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="380" />
      </memberdef>
      <memberdef id="structcy__stc__sysanalog__config__t_1a236237de19d937fe25084d160cc53df1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga745102c8162e8d67ae113184c8ced99b">cy_en_sysanalog_iztat_source_t</ref></type>
        <definition>cy_en_sysanalog_iztat_source_t cy_stc_sysanalog_config_t::iztat</definition>
        <argsstring />
        <name>iztat</name>
        <briefdescription>
<para>AREF 1uA IZTAT source: Local or SRSS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="381" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="381" />
      </memberdef>
      <memberdef id="structcy__stc__sysanalog__config__t_1a050862f447c2f2b4f4f89fc260249242" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga953d5952135c077f6de135e058222459">cy_en_sysanalog_vref_source_t</ref></type>
        <definition>cy_en_sysanalog_vref_source_t cy_stc_sysanalog_config_t::vref</definition>
        <argsstring />
        <name>vref</name>
        <briefdescription>
<para>AREF Vref: Local, SRSS, or external pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="382" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="382" />
      </memberdef>
      <memberdef id="structcy__stc__sysanalog__config__t_1a6acb3f932ccad3cf52ad98f0dc86eec2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga0aadb061d882d9a964dff3729322cf12">cy_en_sysanalog_deep_sleep_t</ref></type>
        <definition>cy_en_sysanalog_deep_sleep_t cy_stc_sysanalog_config_t::deepSleep</definition>
        <argsstring />
        <name>deepSleep</name>
        <briefdescription>
<para>AREF Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="383" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="383" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure to configure the entire AREF block. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="384" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" bodystart="378" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysanalog.h" line="379" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__sysanalog__config__t_1a6acb3f932ccad3cf52ad98f0dc86eec2" virt="non-virtual"><scope>cy_stc_sysanalog_config_t</scope><name>deepSleep</name></member>
      <member prot="public" refid="structcy__stc__sysanalog__config__t_1a236237de19d937fe25084d160cc53df1" virt="non-virtual"><scope>cy_stc_sysanalog_config_t</scope><name>iztat</name></member>
      <member prot="public" refid="structcy__stc__sysanalog__config__t_1a48f49165b47ee954a4ddf6c7ae3c457a" virt="non-virtual"><scope>cy_stc_sysanalog_config_t</scope><name>startup</name></member>
      <member prot="public" refid="structcy__stc__sysanalog__config__t_1a050862f447c2f2b4f4f89fc260249242" virt="non-virtual"><scope>cy_stc_sysanalog_config_t</scope><name>vref</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>